Complete Slack OAuth and store the org's chat config
POST
/api/v1/auth/slack/callback
const url = 'https://api.pkgplease.com/api/v1/auth/slack/callback';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"code":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.pkgplease.com/api/v1/auth/slack/callback \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "code": "example" }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
code
required
string
Examplegenerated
{ "code": "example"}Responses
Section titled “Responses”Linked
Media typeapplication/json
object
ok
boolean
Examplegenerated
{ "ok": true}Missing code or Slack OAuth exchange failed
Media typeapplication/json
object
error
required
string
Examplegenerated
{ "error": "example"}